import request from '@/plugins/request/system';


/**
 * 获取列表
 * @param data
 * @constructor
 */
export function  SystemUserList(data = {}) {
  return request({
    url: '/systemv1/member/list',
    method: 'post',
    data : data
  });
}



/**
 * 添加编辑
 * @param data
 * @constructor
 */
export function  SystemUserSave(data = {}) {
  return request({
    url: '/systemv1/member/save',
    method: 'post',
    data : data
  });
}

/**
 * 获取余额明细列表
 * @param data
 * @constructor
 */
export function  SystemUserMoneyDetail(data = {}) {
  return request({
    url: '/systemv1/member/moneyDetail',
    method: 'post',
    data : data
  });
}

/**
 * 余额明细补扣
 * @param data
 * @constructor
 */
export function  SystemUserMoneyDetailSave(data = {}) {
  return request({
    url: '/systemv1/member/moneyDetailSave',
    method: 'post',
    data : data
  });
}




/**
 * 获取详情
 * @param {Object} data
 */
export function SystemUserItem(data){
  return request({
    url: '/systemv1/member/item',
    method: 'post',
    data : data
  });
}



/**
 * 支付任务列表
 * @param data
 * @constructor
 */
export function  SystemPayTradeList(data = {}) {
    return request({
        url: '/systemv1/member/payTradeList',
        method: 'post',
        data : data
    });
}

/**
 * 支付搜索
 * @param data
 * @constructor
 */
export function  SystemSearchPayTrade(data = {}) {
    return request({
        url: '/systemv1/member/searchPayTrade',
        method: 'post',
        data : data
    });
}


/**
 * 用户模板列表
 * @param data
 * @constructor
 */
export function  SystemShowTemplateList(data = {}) {
    return request({
        url: '/systemv1/member/showTemplateList',
        method: 'post',
        data : data
    });
}



/**
 * 用户职业名称列表
 * @param data
 * @constructor
 */
export function  SystemUserWorkTypeList(data = {}) {
    return request({
        url: '/systemv1/userWorkType/list',
        method: 'post',
        data : data
    });
}
export function  SystemUserWorkTypeAdd(data = {}) {
    return request({
        url: '/systemv1/userWorkType/add',
        method: 'post',
        data : data
    });
}

export function SystemUserWorkTypeDel(data = {}){
	
}


/**
 * 用户职业名称列表
 * @param data
 * @constructor
 */
export function  SystemWorkerList(data = {}) {
    return request({
        url: '/systemv1/member/getWorkerList',
        method: 'post',
        data : data
    });
}


export function  SystemWorkerSave(data = {}) {
    return request({
        url: '/systemv1/member/workerSave',
        method: 'post',
        data : data
    });
}

export function setAuthShow(data = {}) {
	return request({
	    url: '/systemv1/member/setAuthShow',
	    method: 'post',
	    data : data
	});
}










